unit untMoveRange;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, Buttons;

type
  TDLine = record
    Old, New: Integer;
    ToEnd: Boolean;
  end;

type
  TfrmMoveRange = class(TForm)
    spnedtMoveRange: TSpinEdit;
    SpdBtnRenumRange: TSpeedButton;
    procedure spnedtMoveRangeKeyPress(Sender: TObject; var Key: Char);
    procedure spnedtMoveRangeChange(Sender: TObject);
    procedure SpdBtnRenumRangeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowMoveRange(var ALine: TDLine): Boolean;

var
  frmMoveRange: TfrmMoveRange;
  MResult: Boolean = False;

implementation

uses EditMSG;

{$R *.DFM}

function ShowMoveRange(var ALine: TDLine): Boolean;
begin
  with TfrmMoveRange.Create(Application) do
    try
      spnedtMoveRange.Value := ALine.Old;
      ShowModal;
      ShowMoveRange := MResult;
      if spnedtMoveRange.Text='' then spnedtMoveRange.Value:=0;
      if spnedtMoveRange.Value=0 then ALine.Old:=0;
      ALine.New := spnedtMoveRange.Value;
      //ALine.ToEnd := ckbxMoveRange.Checked;
    finally
      MResult := False;
      Free;
    end;
end;

procedure TfrmMoveRange.spnedtMoveRangeKeyPress(Sender: TObject;
  var Key: Char);
begin
  if Key='-' then Key:=#0; //   ""  
end;

procedure TfrmMoveRange.spnedtMoveRangeChange(Sender: TObject);
begin //     SpinEdit
  //if spnedtMoveRange.GetTextLen=0 then spnedtMoveRange.Value:=0; //      SpinEdit
  //if   spnedtMoveRange.Text='' then spnedtMoveRange.Value:=0; //      SpinEdit
end;

procedure TfrmMoveRange.SpdBtnRenumRangeClick(Sender: TObject);
begin //   "OK"
  MResult := True;
  ModalResult := mrOk;
end;

end.
