unit untRename;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmRename = class(TForm)
    edtReNameProc: TEdit;
    btnRenameNO: TButton;
    btnRenameOK: TButton;
    procedure edtReNameProcKeyPress(Sender: TObject; var Key: Char);
    procedure btnRenameOKClick(Sender: TObject);
    procedure btnRenameNOClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowRenameProc(var ANameProc: string): boolean;

var
  frmRename: TfrmRename;
  Rez: Boolean;

implementation

{$R *.DFM}

function ShowRenameProc(var ANameProc: string): boolean;
begin //     ,  True  
  with TfrmRename.Create(Application) do
    try
      edtReNameProc.Text := ANameProc;
      ShowModal;
      Result := Rez and (edtReNameProc.Text<>ANameProc);
      if Rez and (edtReNameProc.Text<>ANameProc) then ANameProc := edtReNameProc.Text;
    finally
      Free;
    end;
end;

procedure TfrmRename.edtReNameProcKeyPress(Sender: TObject; var Key: Char);
begin
  if not(Key in ['a'..'z', 'A'..'Z', '0'..'9', '_', #8]) then Key := #0;
end;

procedure TfrmRename.btnRenameOKClick(Sender: TObject);
begin
  Rez := True;
end;

procedure TfrmRename.btnRenameNOClick(Sender: TObject);
begin
  Rez := False;
end;

procedure TfrmRename.FormActivate(Sender: TObject);
begin
  edtReNameProc.SetFocus;
end;

end.
